Subject: bug#69466: Wrong colours for QA

From: Christopher Baines <[email-masked]>
Date: Mon, 22 Apr 2024 17:27:58 +0100

Andreas Enge <[email-masked]> writes:

> it looks like the dark green colour is wrongly chosen in QA,
> for instance here:
>    https://qa.guix.gnu.org/issue/69441
> The issue has been reviewed, but "Comparison unavailable
> Yet to process revision".
>
> I think dark green should only appear when the package is reviewed
> AND builds correctly (so would be light green without reviewing).

When implementing this I chose to have the review trump any other status
since hopefully any failing builds will have been taken in to account by
the reviewer.

I think it's useful to highlight when there's a review regardless of the
other information that QA has.

1: https://git.savannah.gnu.org/cgit/guix/qa-frontpage.git/tree/guix-qa-frontpage/issue.scm#n163